Welcome to MilkyWay@home

Separation updated to 1.00


Advanced search

Message boards : News : Separation updated to 1.00
Message board moderation

To post messages, you must log in.

Previous · 1 . . . 3 · 4 · 5 · 6 · 7 · 8 · 9 . . . 12 · Next

AuthorMessage
Matt Arsenault
Volunteer moderator
Project developer
Project tester
Project scientist

Send message
Joined: 8 May 10
Posts: 576
Credit: 15,979,383
RAC: 0
10 million credit badge9 year member badge
Message 52969 - Posted: 9 Feb 2012, 18:31:47 UTC - in response to Message 52966.  

Error while computing: http://milkyway.cs.rpi.edu/milkyway/result.php?resultid=99460786

I have Intel OpenCL runtime installed. It seems (->log) that exec selects wrong platform.
What happens with a newer (You're using 7.0.8, the current 7 one is 7.0.14) or older BOINC (6.12)?
ID: 52969 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Lennart Blume

Send message
Joined: 20 Jul 09
Posts: 4
Credit: 47,533,206
RAC: 4,535
30 million credit badge10 year member badge
Message 52971 - Posted: 9 Feb 2012, 18:50:34 UTC - in response to Message 52844.  

Hello,

all new tasks got calculation errors.

Stderr Ausgabe

<core_client_version>6.12.33</core_client_version>
<![CDATA[
<message>
process exited with code 127 (0x7f, -129)
</message>
<stderr_txt>
../../projects/milkyway.cs.rpi.edu_milkyway/milkyway_separation_1.00_x86_64-pc-linux-gnu__opencl_amd: error while loading shared libraries: libOpenCL.so.1: cannot open shared object file: No such file or directory

</stderr_txt>
]]>

I got only tasks with V1.00 no V1.01.

Do I need new drivers?

My machine:
Do 09 Feb 2012 17:26:23 CET | | Starting BOINC client version 6.12.33 for x86_64-pc-linux-gnu
Do 09 Feb 2012 17:26:23 CET | | Libraries: libcurl/7.19.7 OpenSSL/0.9.8k zlib/1.2.3.3 libidn/1.15
Do 09 Feb 2012 17:26:23 CET | | Processor: 4 AuthenticAMD AMD Athlon(tm) II X4 605e Processor [Family 16 Model 5 Stepping 2]
Do 09 Feb 2012 17:26:23 CET | | Processor: 512.00 KB cache
Do 09 Feb 2012 17:26:23 CET | | Processor features: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf
Do 09 Feb 2012 17:26:23 CET | | OS: Linux: 2.6.32-38-generic
Do 09 Feb 2012 17:26:23 CET | | Memory: 3.87 GB physical, 9.90 GB virtual
Do 09 Feb 2012 17:26:23 CET | | Disk: 283.67 GB total, 247.76 GB free
Do 09 Feb 2012 17:26:23 CET | | Local time is UTC +1 hours
Do 09 Feb 2012 17:26:23 CET | | ATI GPU 0: ATI Radeon HD 5800 series (Cypress) (CAL version 1.4.1417, 1024MB, 1792 GFLOPS peak)

Thanks for any help
Lennart
ID: 52971 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Matt Arsenault
Volunteer moderator
Project developer
Project tester
Project scientist

Send message
Joined: 8 May 10
Posts: 576
Credit: 15,979,383
RAC: 0
10 million credit badge9 year member badge
Message 52972 - Posted: 9 Feb 2012, 18:56:10 UTC - in response to Message 52971.  

I got only tasks with V1.00 no V1.01.

Do I need new drivers?
1.01 is just the statically linked 1.00 CPU version. Your Catalyst driver is new enough that it should include libOpenCL. Is it actually not present on your system or in some weird place? What distro and how did you install the drivers?
ID: 52972 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfilePurple Rabbit
Avatar

Send message
Joined: 9 Nov 08
Posts: 44
Credit: 107,352,651
RAC: 10,117
100 million credit badge10 year member badge
Message 52973 - Posted: 9 Feb 2012, 19:07:27 UTC
Last modified: 9 Feb 2012, 19:17:37 UTC

As a point of information my HD 4770 (11.6, BOINC 6.12.34, winXP32, AMD64 3800+) has been very unhappy with the change to OpenCL. Host 179083 ( http://milkyway.cs.rpi.edu/milkyway/show_host_detail.php?hostid=179083 ) gets OpenCL work, but promptly errors out with -1073740777 (unknown error). I detached and tried again with the same result.

I'm reluctant to install 12.1 as that may break Moo. It's my understanding that CAL support has been removed in this release. I'm open to suggestions.

Rick
ID: 52973 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
paris
Avatar

Send message
Joined: 26 Apr 08
Posts: 78
Credit: 30,589,915
RAC: 16,004
30 million credit badge10 year member badge
Message 52974 - Posted: 9 Feb 2012, 20:44:12 UTC

Version 1.01 is running properly on Mac mini Core 2 Duo under Leopard and also on Mac mini Core Duo under Tiger. Units have finished, reported, and validated for both systems. Thanks again.

Plus SETI Classic = 21,082 WUs
ID: 52974 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Phil

Send message
Joined: 29 Aug 10
Posts: 25
Credit: 2,172,252,217
RAC: 0
2 billion credit badge9 year member badge
Message 52975 - Posted: 9 Feb 2012, 21:19:21 UTC

Which are the best drivers to use? I have tried 12.1 and 11.9 and keep getting BSODs with both. I had 10.5 before I think but that was too old and wouldn't work with the new app. I have a 5970 on Win7 64
ID: 52975 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
BarryAZ

Send message
Joined: 1 Sep 08
Posts: 519
Credit: 282,956,756
RAC: 2,581
200 million credit badge10 year member badgeextraordinary contributions badge
Message 52976 - Posted: 9 Feb 2012, 21:21:43 UTC - in response to Message 52973.  
Last modified: 9 Feb 2012, 21:45:09 UTC

Rick, from what I've seen, 12.1 doesn't break Moo, but it DOES break Collatz.

It does seem that as the various projects engage in a 'my update is better than yours' war, that it has become more difficult to work with multiple GPU projects. Sort of an Anti-BOINC philosophy. All in all, I think the jury is in on the alpha product Separation 1.00. We had a good run after the hardware upgrades were deployed at the beginning of the month. But now it seems that MW has found a new way to drop down on my GPU project list.

This workstation is running 7.08 (beta, but both MW and POEM seem to compel that change), and 12.1 on an XP workstation along with a 4850. No joy from MW -- either they don't have work, or the work doled out is in hold due to the high number of computation errors kicked up by folks attempting to get 1.0 to work with various hardware and software versions. I generated a ton of comp errors with an earlier version of BOINC and an earlier version of the ATI driver myself.

So, for now, I'll stay with older versions of ATI since I hate punishing the one long term reliable ATI GPU project out there (Collatz) due to trouble generated by other projects.

Edit,I reverted to ATI 11.10 - solved the Collatz problem - not getting work from MW right now, but it seems to me that is more the project side problem then end users there. I figure that MW folks will eventually figure out an application combination that 'regular people' can work with. I think the current 'try this, try that' *requirement* and report back, given the variables that are out there, is simply too onerous for those with other lives to lead.

For me, my GPU hardware is pretty much HD 4850 -- good price/performance and power requirement point for me. My OS environment is XP, Win7 32, and Win 7 64. The ATI drivers range from 11.4 to 11.10. The BM versions range from 6.10.58 to 6.12.34 to 7.0.08.

The 7.10.08 turned out to be a requirement for POEM ATI GPU support. That is one of the 'downsides' there (forcing a beta manager), though 7.0.08 isn't too bad. The other downside over in POEM land is that they went with CreditNew -- which results in strange (and typically low credit) results with limited standardization in terms of actual calculations performed. But that's a rant for another venue.

For now, it looks like MW will go in stasis for me -- attached but not able to get work.



As a point of information my HD 4770 (11.6, BOINC 6.12.34, winXP32, AMD64 3800+) has been very unhappy with the change to OpenCL. Host 179083 ( http://milkyway.cs.rpi.edu/milkyway/show_host_detail.php?hostid=179083 ) gets OpenCL work, but promptly errors out with -1073740777 (unknown error). I detached and tried again with the same result.

I'm reluctant to install 12.1 as that may break Moo. It's my understanding that CAL support has been removed in this release. I'm open to suggestions.

Rick
ID: 52976 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfileWerkstatt

Send message
Joined: 19 Feb 08
Posts: 350
Credit: 129,699,021
RAC: 45,743
100 million credit badge10 year member badge
Message 52977 - Posted: 9 Feb 2012, 21:29:04 UTC

For my system the following is working fine:
one pc with BM 7.0.12 and CCC 12.1, AMD A8 + HD5830
one pc with BM 7.0.14 and CCC 11.9 Intel i7 + HD5870 + HD6950
all running win7 x64
ID: 52977 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfileWerkstatt

Send message
Joined: 19 Feb 08
Posts: 350
Credit: 129,699,021
RAC: 45,743
100 million credit badge10 year member badge
Message 52978 - Posted: 9 Feb 2012, 21:45:20 UTC - in response to Message 52976.  

Rick, from what I've seen, 12.1 doesn't break Moo, but it DOES break Collatz.


No, it does not.



This is my A8 system, running win7 x64, BM 7.0.12 and CCC 12.1
GPU 0 is the HD5830
GPU 1 is on-chip HD6550
ID: 52978 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
nanoprobe
Avatar

Send message
Joined: 27 Jan 12
Posts: 38
Credit: 18,084,778
RAC: 0
10 million credit badge7 year member badge
Message 52979 - Posted: 9 Feb 2012, 21:45:40 UTC

Still can't get any WUs for my XP 32 bit box if I use the app_info I was using before to reduce the GPU usage. Worked fine before. Anyone have a suggestion. File used is below.
<app_info>

<app><!-- GPU app v0.82 for MW Separation -->
<name>milkyway</name>
</app>
<file_info>
<name>milkyway_separation_0.82_windows_intelx86__ati14.exe</name>
<executable/>
</file_info>

<app_version>
<app_name>milkyway</app_name>
<version_num>82</version_num>
<plan_class>ati14</plan_class>
<flops>1.0e11</flops>
<avg_ncpus>0.05</avg_ncpus>
<max_ncpus>1</max_ncpus>
<coproc>
<type>ATI</type>
<count>1.0</count>
</coproc>
<cmdline>--gpu-target-frequency 80 --gpu-polling-mode 16 --process-priority 1</cmdline>
<file_ref>
<file_name>milkyway_separation_0.82_windows_intelx86__ati14.exe</file_name>
<main_program/>
</file_ref>
</app_version>

</app_info>
ID: 52979 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profilecenit

Send message
Joined: 16 Mar 09
Posts: 58
Credit: 1,129,612
RAC: 0
1 million credit badge10 year member badge
Message 52980 - Posted: 9 Feb 2012, 21:58:17 UTC - in response to Message 52979.  

2/9/2012 10:57:53 PM | Milkyway@Home | Sending scheduler request: To fetch work.
2/9/2012 10:57:53 PM | Milkyway@Home | Requesting new tasks for ATI
2/9/2012 10:57:55 PM | Milkyway@Home | Scheduler request completed: got 0 new tasks
2/9/2012 10:57:55 PM | Milkyway@Home | No tasks sent
2/9/2012 10:57:55 PM | Milkyway@Home | Message from server: GPU lacks necessary double precision extension


which extension are you looking for?
My GPU (cayman) still does not have cl_khr_fp64 (promised by amd since launch, still not delivered to VLIW4). We're stuck on cl_amd_fp64. Can you please accept it in your app or it's not valid for you?
Thanks a lot!
ID: 52980 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Matt Arsenault
Volunteer moderator
Project developer
Project tester
Project scientist

Send message
Joined: 8 May 10
Posts: 576
Credit: 15,979,383
RAC: 0
10 million credit badge9 year member badge
Message 52981 - Posted: 9 Feb 2012, 22:04:53 UTC - in response to Message 52980.  

which extension are you looking for?
My GPU (cayman) still does not have cl_khr_fp64 (promised by amd since launch, still not delivered to VLIW4). We're stuck on cl_amd_fp64. Can you please accept it in your app or it's not valid for you?
Thanks a lot!
It looks for cl_khr_fp64 or cl_amd_fp64, if you have a client new enough to report OpenCL information back. It looks like some of the 7.0.x aren't sending back the extensions properly.
ID: 52981 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
umangla

Send message
Joined: 12 Jan 12
Posts: 1
Credit: 16,917,696
RAC: 0
10 million credit badge7 year member badge
Message 52982 - Posted: 9 Feb 2012, 22:19:24 UTC

Started to get the several errors today on 3 different systems with GPUs.
Suggestions?

-------------------------------------
http://milkyway.cs.rpi.edu/milkyway/result.php?resultid=99668860

Coprocessors AMD ATI Radeon HD 5800 series (Cypress) (2048MB) driver: Operating System Microsoft Windows XP

Using SSE3 path
Error getting number of platform (-1001): CL_PLATFORM_NOT_FOUND_KHR
Failed to get information about device
Error getting device and context (1): MW_CL_ERROR
Failed to calculate likelihood
-------------------------------------
http://milkyway.cs.rpi.edu/milkyway/result.php?resultid=99641528

Coprocessors AMD AMD Radeon HD 6900 series (Cayman) (2048MB) driver: 1.4.1385
Operating System Microsoft Windows XP

Unrecognized XML in project preferences: max_gfx_cpu_pct
Skipping: 90
Skipping: /max_gfx_cpu_pct
Error loading Lua script 'astronomy_parameters.txt': [string "number_parameters: 4..."]:1: '<name>' expected near '4'
Error reading astronomy parameters from file 'astronomy_parameters.txt'
Trying old parameters file
Using SSE3 path
Error getting number of platform (-1001): CL_PLATFORM_NOT_FOUND_KHR
Failed to get information about device
Error getting device and context (1): MW_CL_ERROR
Failed to calculate likelihood
-------------------------------------
http://milkyway.cs.rpi.edu/milkyway/result.php?resultid=99668972

Coprocessors AMD AMD Radeon HD 6900 series (Cayman) (2048MB) driver: 1.4.1385
Operating System Microsoft Windows 7

Unrecognized XML in project preferences: max_gfx_cpu_pct
Skipping: 90
Skipping: /max_gfx_cpu_pct
Error loading Lua script 'astronomy_parameters.txt': [string "number_parameters: 4..."]:1: '<name>' expected near '4'
Error reading astronomy parameters from file 'astronomy_parameters.txt'
Trying old parameters file
Using SSE4.1 path
Found 1 platform
ID: 52982 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
BarryAZ

Send message
Joined: 1 Sep 08
Posts: 519
Credit: 282,956,756
RAC: 2,581
200 million credit badge10 year member badgeextraordinary contributions badge
Message 52984 - Posted: 9 Feb 2012, 22:36:52 UTC - in response to Message 52978.  

Well it did for me -- HD 4850, Win XP, BM 7.0.08.

The thing is, right now we are solving for five variables (AMD video card, OS, BM, AMD driver, and GPU application). Makes it difficult to troubleshoot.

What I think we can state is that earlier (pre 1.0 deploy) these issues were seemingly quiet.

I figure I will things settle out perhaps waiting on more serial number 01a experiences to result in a version stability scenario. So I'll watch and wait -- and while that goes on, let Collatz, Moo, and to a lesser degree POEM run ATI GPU traffic.


Rick, from what I've seen, 12.1 doesn't break Moo, but it DOES break Collatz.


No, it does not.



This is my A8 system, running win7 x64, BM 7.0.12 and CCC 12.1
GPU 0 is the HD5830
GPU 1 is on-chip HD6550


ID: 52984 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
nanoprobe
Avatar

Send message
Joined: 27 Jan 12
Posts: 38
Credit: 18,084,778
RAC: 0
10 million credit badge7 year member badge
Message 52986 - Posted: 9 Feb 2012, 22:57:52 UTC - in response to Message 52979.  

Still can't get any WUs for my XP 32 bit box if I use the app_info I was using before to reduce the GPU usage. Worked fine before. Anyone have a suggestion. File used is below.
<app_info>

<app><!-- GPU app v0.82 for MW Separation -->
<name>milkyway</name>
</app>
<file_info>
<name>milkyway_separation_0.82_windows_intelx86__ati14.exe</name>
<executable/>
</file_info>

<app_version>
<app_name>milkyway</app_name>
<version_num>82</version_num>
<plan_class>ati14</plan_class>
<flops>1.0e11</flops>
<avg_ncpus>0.05</avg_ncpus>
<max_ncpus>1</max_ncpus>
<coproc>
<type>ATI</type>
<count>1.0</count>
</coproc>
<cmdline>--gpu-target-frequency 80 --gpu-polling-mode 16 --process-priority 1</cmdline>
<file_ref>
<file_name>milkyway_separation_0.82_windows_intelx86__ati14.exe</file_name>
<main_program/>
</file_ref>
</app_version>

</app_info>

Never mind. I figured it out for XP 32 bit. Can someone help me with an app_info command that will throttle down the GPU on Win7 64 bit?
Thanks in advance.
ID: 52986 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfileWerkstatt

Send message
Joined: 19 Feb 08
Posts: 350
Credit: 129,699,021
RAC: 45,743
100 million credit badge10 year member badge
Message 52987 - Posted: 9 Feb 2012, 23:08:43 UTC - in response to Message 52984.  


The thing is, right now we are solving for five variables (AMD video card, OS, BM, AMD driver, and GPU application). Makes it difficult to troubleshoot.


You are absolutely right, and Matt and the Team are doing a wonderful job with the implementation of a very new technology. It's really impressive how many problem have been solved within a couple of hours.

CONGRATULATION, Matt & Team!

ID: 52987 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfileRay_GTI-R
Avatar

Send message
Joined: 5 Nov 10
Posts: 69
Credit: 15,062,785
RAC: 0
10 million credit badge9 year member badge
Message 52988 - Posted: 9 Feb 2012, 23:53:36 UTC

Radeon 38xx cards aren't supported with new stuff

Recently bought a new HD3850 AGP. Cost me quite a lot, also time & effort.
Not amused.
(FWIW I just received & processed a few 0.82 tasks. I think I'll keep this PC open for MW just to check.)
ID: 52988 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Len LE/GE

Send message
Joined: 8 Feb 08
Posts: 261
Credit: 104,050,322
RAC: 0
100 million credit badge10 year member badge
Message 52990 - Posted: 10 Feb 2012, 1:17:39 UTC - in response to Message 52895.  

Using Catalyst 11.3 it looks like. Try a newer driver. I am sort of aware of a few various crashes with different Catalyst versions on different GPUs. I think 11.3-4 and 11.10-11.12 are the most problematic versions; 12.1 seems to be working most consistently on everything. Around 11.3 the binary format stuff was introduced (which it says it supports) but it's probably crasher around then.


Upgraded from 11.3 to 11.9 (2-3% slower on mw w/ CAL, system more sluggish w/ other ATI apps too) and still getting
Exit status -1073740777 (0xffffffffc0000417) Unknown error number
when trying v1.00 OpenCL.

Thought 11.9 should be working for XP 32bit with HD5850?
ID: 52990 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfilePurple Rabbit
Avatar

Send message
Joined: 9 Nov 08
Posts: 44
Credit: 107,352,651
RAC: 10,117
100 million credit badge10 year member badge
Message 52991 - Posted: 10 Feb 2012, 1:39:11 UTC - in response to Message 52976.  
Last modified: 10 Feb 2012, 1:39:42 UTC

Rick, from what I've seen, 12.1 doesn't break Moo, but it DOES break Collatz.

Thanks Barry. Because I run both Moo and Collatz on this host I'll stand pat for now. I'm 100% Moo at the moment, but I'll try something different when I see something change at MW.

I'm the kinda guy that likes to push the do-not-push button (retired engineer...sigh), but I guess that I'll wait for the dust to settle here. Is anyone settling the dust?

Rick
ID: 52991 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
nanoprobe
Avatar

Send message
Joined: 27 Jan 12
Posts: 38
Credit: 18,084,778
RAC: 0
10 million credit badge7 year member badge
Message 52992 - Posted: 10 Feb 2012, 2:32:06 UTC

Thought 11.9 should be working for XP 32bit with HD5850?

12.1 is working for me on XP 32 bit with a 5830 but I'm using the 0.82 separation app not the 1.00.


ID: 52992 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Previous · 1 . . . 3 · 4 · 5 · 6 · 7 · 8 · 9 . . . 12 · Next

Message boards : News : Separation updated to 1.00

©2019 Astroinformatics Group